%define ld_ver 3
%define compat_ld_ver 2
%define libname %mklibname glibc_lsb

Name: glibc_lsb
Version: 2.4.7
Release: %mkrel 12
Group: System/Libraries
Summary: LSB dynamic loader links
License: Freely redistributable without restriction
URL: http://www.linuxbase.org/spec
Provides: glibc_lsb
Obsoletes: glibc_lsb


%description
Provides ld-lsb* dynamic loader links for LSB compliance

%package -n %libname
Group: System/Libraries
Summary: LSB dynamic loader links
Provides: glibc_lsb
Obsoletes: glibc_lsb

%description -n %libname
Provides ld-lsb* dynamic loader links for LSB compliance

%prep

%build

%install
install -d $RPM_BUILD_ROOT/%{_lib}
%ifarch %{ix86}
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb.so.%{ld_ver}
ln -sf ld-linux.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb.so.%{compat_ld_ver}
%endif
%ifarch ppc
ln -sf ld-2.4.so $RPM_BUILD_ROOT/%{_lib}/ld-lsb-ppc32.so.%{ld_ver}
ln -sf ld-2.4.so $RPM_BUILD_ROOT/%{_lib}/ld-lsb-ppc32.so.%{compat_ld_ver}
%endif
%ifarch x86_64
ln -sf ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-x86-64.so.%{ld_ver}
ln -sf ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/%{_lib}/ld-lsb-x86-64.so.%{compat_ld_ver}
%endif

export DONT_SYMLINK_LIBS=1

%files -n %libname
%ifarch %{ix86}
/%{_lib}/ld-lsb.so.%{ld_ver}
/%{_lib}/ld-lsb.so.%{compat_ld_ver}
%endif
%ifarch ppc
/%{_lib}/ld-lsb-ppc32.so.%{ld_ver}
/%{_lib}/ld-lsb-ppc32.so.%{compat_ld_ver}
%endif
%ifarch x86_64
/%{_lib}/ld-lsb-x86-64.so.%{ld_ver}
/%{_lib}/ld-lsb-x86-64.so.%{compat_ld_ver}
%endif





%changelog
* Sun Jan 31 2016 umeabot <umeabot> 2.4.7-12.mga6
+ Revision: 929419
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.7-11.mga5
+ Revision: 749488
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.7-10.mga5
+ Revision: 679643
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.7-9.mga4
+ Revision: 504930
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.4.7-8.mga3
+ Revision: 351821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 29 2011 stewb <stewb> 2.4.7-7.mga1
+ Revision: 78811
- rework packaging for bi-arch support

* Thu Mar 24 2011 stewb <stewb> 2.4.7-6.mga1
+ Revision: 76841
- fix group

* Thu Jan 27 2011 stewb <stewb> 2.4.7-5.mga1
+ Revision: 42158
- imported package glibc_lsb


* Thu Jan 27 2011 Stew Benedict <stewbintn@gmail.com> 
- initial import, drop lsb-core requires (mdv bug 62252)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.4.7-4mdv2009.0
+ Revision: 219555
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 2.4.7-2mdv2008.0
+ Revision: 91266
- rebuild for 2008
- new license policy, correct license


* Fri Mar 02 2007 Stew Benedict <sbenedict@mandriva.com> 2.4.7-1mdv2007.0
+ Revision: 131335
- Import glibc_lsb

* Fri Mar 02 2007 Stew Benedict <sbenedict@mandriva.com> 2.4.7-1mdv2007.1
- LSB3.1, bump version
- fix symlink for ppc, there is no ld-linux.so...

* Fri Mar 31 2006 Stew Benedict <sbenedict@mandriva.com> 2.3.6-1mdk
- track the glibc version, requires lsb-core now

* Sat Apr 30 2005 Stew Benedict <sbenedict@mandriva.com> 2.3.4-2mdk
- restore LSB2.0 dynamic loaders links for LSB2/3 compatibility

* Sat Apr 23 2005 Stew Benedict <sbenedict@mandriva.com> 2.3.4-1mdk
- LSB3.0, bump version, URL

* Fri Jul 23 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.3.3-3mdk
- clean RPM_BUILD_ROOT (Christiaan Welvaart)

* Fri Jul 23 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.3.3-2mdk
- dynamic linker names change, add x86_64

* Sat Apr 03 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.3.3-1mdk
- rebuild, bump version

